欢迎来到 Android人的问与答 ,在这里提问或帮助他人解答。 Question2Answer的1.6.x和1.7.x版本的中文翻译包我修改更新:

Question2answer

如何使用中文语言包

Q2A 1.6.x - Chinese Simplified (简体中文)

Q2A 1.7.x - Chinese Simplified (简体中文)


国内服务器推荐 阿里云服务器
国外服务器推荐 DigitalOcean
VPN推荐 正版Green VPN
阿里云推荐码:ldvq50

使用RenderScript库,在某些手机或Android版本奔溃的问题

0 喜欢 0 不喜欢
739 浏览

错误信息如下:

android.support.v8.renderscript.RSRuntimeException: Error loading RS jni library: java.lang.UnsatisfiedLinkError: Couldn't load RSSupport from loader dalvik.system.PathClassLoader

 

导入官方jar   renderscript-v8.jar  报这个错误 android.support.v8.renderscript.RSRuntimeException: Error loadin 或者 java.lang.UnsatisfiedLinkError: Couldn't load RSSupport from loader dalvik.system.PathClassLoader

这个错误

原因是因为在4.4以上的手机上自带 librsjni.so和libRSSupport.so 而在4.0以下,或者某些奇葩手机是没有这两个jni 的.所以我们得把这两个jni 导入到我们的工程下  这两个jni文件 在 android sdk  路径下  androidsdk\sdk\build-tools\22.0.0\renderscript\lib\packaged

 

然后把 armeabi-v7a x86 复制到工程的libs下就OK了

最新提问 5月 25, 2015 分类:Android View | 用户: forlong401 (7,050 分)

登录 或者 注册 后回答这个问题。

...